version: '3.2'

volumes:
  gnoc_logs: {}
  od-temp:
    driver: local
    driver_opts:
      type: none
      device: ${GNOC_TEMP_MOUNT_LOCATION}/${GNOC_OD_TEMP_FOLDER}
      o: bind
  od-upload:
    driver: local
    driver_opts:
      type: none
      device: ${GNOC_UPLOAD_MOUNT_LOCATION}/${GNOC_OD_UPLOAD_FOLDER}
      o: bind
services:
  od-service:
    build:
      context: ../od-service
      args:
        PROJECT_VERSION: ${PROJECT_VERSION}
        JDK_BASE_IMAGE: ${JDK_BASE_IMAGE}
    image: "${IMAGE_REGISTRY_URL}/${PROJECT_CODE}/${IMAGE_TYPE}/od-service:${TAG}"
    container_name: "od-service"
    network_mode: "host"
    volumes: ['gnoc_logs:/app/log','od-temp:/app/od-temp','od-upload:/app/od-upload']
    environment:
      TZ: "Asia/Ho_Chi_Minh"
    #    depends_on:
    #      - configuration-service
    #      - discovery-service
    #      - hazelcast-server
    restart: always



